cURL
curl --request POST \
--url https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset/{assetId}/operation/{operationId}/limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
{
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
}
'import requests
url = "https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset/{assetId}/operation/{operationId}/limit"
payload = {
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
}
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
enforcementPoint: '<string>',
priority: 123,
order: 123,
action: '<string>',
ownerId: '<string>',
conditions: [
{
priority: 123,
order: 123,
requirementType: '<string>',
operation: '<string>',
objectRef: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
value: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
ownerId: '<string>'
}
]
})
};
fetch('https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset/{assetId}/operation/{operationId}/limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Limit
Create Limit
POST
/
{walletId}
/
asset
/
{assetId}
/
operation
/
{operationId}
/
limit
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
⌘I

